@import "libs/shared/assets/src/global-style/variable";
@import "libs/shared/assets/src/global-style/color";

:host {
  width: 100%;
}

.container-fluid {
  background: $background-main;
}
.error {
  display: flex;
  align-items: center;
  column-gap: 5px;
  font-size: 12px;
  margin-top: 8px;
  font-family: avertaL, sans-serif;
  color: $text-error;
}
.form {
  background: $white-color;
  padding: 16px;
  border-radius: 8px;
  max-height: 60vh;
  overflow-y: auto;
}

.form-row {
  column-gap: 24px;

  &__right {

    &--mat-chip-file {
      border-radius: 8px;
      min-height: 32px;
      display: flex;
    }

    &--fileName {
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
      color: $file-name-color;
      font-size: 12px;
      line-height: 16px;
      margin: 0px 8px;
    }

    &--button {
      display: flex;
      align-items: center;
      border: none;
      color: $file-name-color;
    }
  }

  &__input {
    width: 100%;
    border-radius: 4px !important;
    min-height: 40px;
    &--fun {
      border: none;
    }
  }

  &__label {
    color: $label-color;
    font-size: 14px;
    font-family: avertaB, sans-serif;
  }

  &__left {
    display: flex;
    flex-direction: column;
  }

  &__right--attach {
    display: flex;
    align-items: flex-end;
    height: 100%;
  }

  &__select {
    width: 100%;
    ::ng-deep {
      .ant-select-selector {
        border-radius: 4px !important;
        min-height: 40px;
        display: flex;
        align-items: center;
      }
      .ant-select-selection-search-input {
        height: 100% !important;
      }
    }
  }
}

.jd-table {
  min-width: 100%;
  border-radius: 8px;
  overflow: hidden;
  &__label {
    font-weight: bold;
    font-size: 14px;
    line-height: 120%;
    background: rgba(232, 234, 246, 1);
  }
  &__name {
    display: flex;
    &--level {
      padding-left: 10%;
    }
  }
}

p {
  margin-bottom: 0px !important;
}

.title-input {
  display: flex;
  margin-bottom: 0.4rem
  &--mul {
    display: flex;
    margin-top: 16px;
  }
}

.title {
  font-style: normal;
  letter-spacing: 0.15px;
  color: $black-color;
  margin-top: 16px;
  font-weight: bold;
  font-size: 16px;
  line-height: 120%;
}

.action {
  display: flex;
  column-gap: 8px;
  margin-left: 10px;
}

.textarea-input {
  background: $text-area-input;
  border-radius: 10px;
  min-height: 120px;
}

.button-back {
  border: 1px solid $primary-button-color;
  border-radius: 8px;
  display: flex;
  align-items: center;
  padding: 10px, 16px, 10px, 16px;
  font-size: 14px;
  min-height: 40px;
  background: $white-color;
  margin-left: 16px;
  color: $primary-button-color;
}

.button-approve {
  display: flex;
  justify-content: center;
}

.required {
  color: $red-color;
  text-align: center;
  padding-left: 5px;
  margin-bottom: 0px !important;
}

.template {
  &__right {
    display: flex;
    align-items: flex-end;
    &--attach {
      display: flex;
      align-items: flex-end;
      height: 100%;
    }
  }

  ::ng-deep {
    .ant-form-item {
      margin: 0px;
    }
  }
}

.button-primary {
  border-radius: 8px;
  display: flex;
  align-items: center;
  padding: 10px 16px 10px 16px;
  font-size: 14px;
  min-height: 40px;
  background: $primary-button-color;
  margin-left: 16px;
}

.mat-chip-label {
  color: $primary-button-color;
  font-size: 16px;
  line-height: 20px;
}

.icon-search {
  margin-left: 10px;
  color: rgba(78, 75, 102, 1);
}

.job-col {
  min-width: 100%;
  margin-bottom: 5px;
}

.action-button {
  display: flex;
  column-gap: 10px;
}

::ng-deep {
  .mat-form-field-prefix,
  .mat-form-field-suffix {
    display: none;
  }
  .mat-form-field-flex {
    border: 1px solid rgb(217, 217, 217);
    min-height: 40px;
    // border: 1px solid #F5F5F5;
    border-radius: 4px;
    align-items: center !important;
    color: $border-color;
    display: block !important;
  }

  .mat-form-field-infix {
    width: initial !important;
  }
  .mat-chip {
    background: rgba(233, 234, 255, 1) !important;
    min-width: 97px;
    min-height: 48px;
    border-radius: 10px;
    padding: 4px 4px 4px 8px;
    border: 1px solid #7f85f3;
    margin: 0px 16px;
    align-items: center;
    justify-content: space-between;
  }
}

.attach {
  width: 100%;
  border: 1px solid $active-status-invisibile;
  height: 40px;
  padding: 10px;
  display: flex;
  align-items: center;
  justify-content: flex-start;
}

.attach-error {
  width: 100%;
  border: 1px solid $text-error;
  padding: 10px;
  display: flex;
  align-items: flex-end;
  justify-content: flex-start;
}

mat-form-field {
  width: 100%;
}

.create-screen-footer {
  margin-top: 15px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.hide-label-file {
  display: none;
}

.show-label-file {
  display: block;
}

.attach-label-file {
  margin-left: 5px;
  color: rgba(78, 75, 102, 1);
  display: block;
}

.attach-with-file {
  width: 100%;
  border: 1px solid $active-status-invisibile;
  padding: 10px;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.file-attach {
  color: rgba(78, 75, 102, 1);
}

.fun-row {
  &__form {
    width: 100%;
  }
  ::ng-deep {
    .ant-input {
      width: 100%;
    }
  }

  &__action {
    display: flex;
  }
  display: flex;
  align-items: baseline;
  justify-content: space-between;
  column-gap: 5px;
  margin-bottom: 5px;
}

.add-text {
  color: $primary-button-color;
}

.job-select {
  width: 100%;
}
.display-flex {
  display: flex !important;
}
